com.creamtec.ajaxswing.gui

## Class AjaxSwingToolkit130

- java.lang.Object
- - java.awt.Toolkit
  - - sun.awt.SunToolkit
    - - com.creamtec.ajaxswing.gui.AjaxSwingToolkit
      - - com.creamtec.ajaxswing.gui.AjaxSwingToolkit130

- All Implemented Interfaces:
    sun.awt.ComponentFactory, sun.awt.InputMethodSupport, sun.awt.KeyboardFocusManagerPeerProvider, sun.awt.motif.MToolkit, sun.awt.WindowClosingListener, sun.awt.WindowClosingSupport
  Direct Known Subclasses:
    AjaxSwingToolkit142

      public class AjaxSwingToolkit130
      extends AjaxSwingToolkit
      implements sun.awt.motif.MToolkit

  AjaxSwing's implementation of AWT Toolkit is provided to override instantiation of peers and control other platform specific operations such as image loading. The peers created are AjaxSwing's peers, which do not have any GUI. This allows to run the client as a console application, while still keeping track of window operations such as show and hide.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class sun.awt.SunToolkit

      `sun.awt.SunToolkit.IllegalThreadException, sun.awt.SunToolkit.InfiniteLoop, sun.awt.SunToolkit.OperationTimedOut`

  - ### Field Summary

    - ### Fields inherited from class sun.awt.SunToolkit

      `DEFAULT_WAIT_TIME, DESKTOPFONTHINTS, GRAB_EVENT_MASK, MAX_BUTTONS_SUPPORTED`

    - ### Fields inherited from interface sun.awt.motif.MToolkit

      `hpFastSwing`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxSwingToolkit130()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.peer.KeyboardFocusManagerPeer` | `createKeyboardFocusManagerPeer(java.awt.KeyboardFocusManager focusManager)`
    `java.awt.peer.RobotPeer` | `createRobot(java.awt.Robot p0, java.awt.GraphicsDevice p1)`
    `java.awt.peer.SystemTrayPeer` | `createSystemTray(java.awt.SystemTray arg0)`
    `java.awt.peer.TrayIconPeer` | `createTrayIcon(java.awt.TrayIcon arg0)`
    `static java.lang.String` | `getClassName()` This function is here just to allow others to find out the name of this class after obfuscation
    `java.lang.String` | `getDefaultCharacterEncoding()`
    `java.lang.String` | `getDefaultUnicodeEncoding()`
    `sun.awt.GlobalCursorManager` | `getGlobalCursorManager()`
    `java.awt.im.spi.InputMethodDescriptor` | `getInputMethodAdapterDescriptor()`
    `java.awt.peer.KeyboardFocusManagerPeer` | `getKeyboardFocusManagerPeer()`
    `void` | `grab(java.awt.Window arg0)`
    `boolean` | `isDesktopSupported()`
    `boolean` | `isTraySupported()`
    `boolean` | `isWindowOpacityControlSupported()`
    `boolean` | `isWindowShapingSupported()`
    `boolean` | `isWindowTranslucencySupported()`
    `java.util.Map` | `mapInputMethodHighlight(java.awt.im.InputMethodHighlight highlight)`
    `void` | `ungrab(java.awt.Window arg0)`

    - ### Methods inherited from class com.creamtec.ajaxswing.gui.AjaxSwingToolkit

      `areExtraMouseButtonsEnabled, beep, checkImage, createButton, createCanvas, createCheckbox, createCheckboxMenuItem, createChoice, createDialog, createDragGestureRecognizer, createDragSourceContextPeer, createFileDialog, createFrame, createImage, createImage, createImage, createLabel, createList, createMenu, createMenuBar, createMenuItem, createPanel, createPopupMenu, createScrollbar, createScrollPane, createTextArea, createTextField, createWindow, getColorModel, getFontMetrics, getFontPeer, getIconFileName, getImage, getImage, getImageFileName, getImageUrl, getPrintJob, getScreenResolution, getSystemClipboard, isFrameStateSupported, isUndecorated, isWindowUndecorated, prepareImage, registerIcon, registerImage, registerImage, registerStandardImages, setDelegateToolkitClassName, sync`

    - ### Methods inherited from class sun.awt.SunToolkit

      `addModalityListener, awtLock, awtLockNotify, awtLockNotifyAll, awtLockWait, awtLockWait, awtTryLock, awtUnlock, canPopupOverlapTaskBar, checkAndSetPolicy, closeSplashScreen, consumeNextKeyTyped, createImage, createInputMethodWindow, createNewAppContext, disableBackgroundErase, disableBackgroundErase, enableInputMethodsForTextComponent, executeOnEDTAndWait, executeOnEventHandlerThread, executeOnEventHandlerThread, executeOnEventHandlerThread, flushPendingEvents, flushPendingEvents, getContainingWindow, getDataTransfererClassName, getDefaultKeyboardLocale, getDesktopFontHints, getFocusAcceleratorKeyMask, getFontList, getHeavyweightComponent, getNativeContainer, getNumberOfButtons, getScaledIconData, getScaledIconImage, getScreenSize, getStartupLocale, getSunAwtDisableMixing, getSunAwtErasebackgroundonresize, getSunAwtNoerasebackground, getSystemEventQueueImplPP, getWindowClosingListener, getWindowDeactivationTime, insertTargetMapping, invokeLaterOnAppContext, isAWTLockHeldByCurrentThread, isContainingTopLevelOpaque, isContainingTopLevelTranslucent, isDispatchThreadForAppContext, isInstanceOf, isLightweightOrUnknown, isModalExcluded, isModalExcludedSupported, isModalExclusionTypeSupported, isModalityTypeSupported, isNativeGTKAvailable, isPostEventQueueEmpty, isPrintableCharacterModifiersMask, isSwingBackbufferTranslucencySupported, isSystemGenerated, isTranslucencyCapable, isWindowOpacitySupported, needsXEmbed, needUpdateWindow, notifyModalityPopped, notifyModalityPushed, postEvent, postPriorityEvent, realSync, realSync, removeModalityListener, setAAFontSettingsCondition, setLWRequestStatus, setModalExcluded, setSystemGenerated, setWindowClosingListener, setWindowDeactivationTime, targetToAppContext, useBufferPerWindow, windowClosingDelivered, windowClosingNotify`

    - ### Methods inherited from class java.awt.Toolkit

      `addAWTEventListener, addPropertyChangeListener, createCustomCursor, createImage, getAWTEventListeners, getAWTEventListeners, getBestCursorSize, getDefaultToolkit, getDesktopProperty, getLockingKeyState, getMaximumCursorColors, getMenuShortcutKeyMask, getPrintJob, getProperty, getPropertyChangeListeners, getPropertyChangeListeners, getScreenInsets, getSystemEventQueue, getSystemSelection, isAlwaysOnTopSupported, isDynamicLayoutActive, removeAWTEventListener, removePropertyChangeListener, setDynamicLayout, setLockingKeyState`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AjaxSwingToolkit130

          public AjaxSwingToolkit130()

  - ### Method Detail

    - #### getClassName

          public static java.lang.String getClassName()

      This function is here just to allow others to find out the name of this class after obfuscation

    - #### getGlobalCursorManager

          public sun.awt.GlobalCursorManager getGlobalCursorManager()

    - #### getDefaultUnicodeEncoding

          public java.lang.String getDefaultUnicodeEncoding()

    - #### getDefaultCharacterEncoding

          public java.lang.String getDefaultCharacterEncoding()

    - #### getInputMethodAdapterDescriptor

          public java.awt.im.spi.InputMethodDescriptor getInputMethodAdapterDescriptor()
                                                                                throws java.awt.AWTException

      Specified by:
        `getInputMethodAdapterDescriptor` in interface `sun.awt.InputMethodSupport`
      Overrides:
        `getInputMethodAdapterDescriptor` in class `AjaxSwingToolkit`
      Throws:
        `java.awt.AWTException`

    - #### createRobot

          public java.awt.peer.RobotPeer createRobot(java.awt.Robot p0,
                                            java.awt.GraphicsDevice p1)
                                              throws java.awt.AWTException

      Specified by:
        `createRobot` in interface `sun.awt.ComponentFactory`
      Overrides:
        `createRobot` in class `AjaxSwingToolkit`
      Throws:
        `java.awt.AWTException`

    - #### mapInputMethodHighlight

          public java.util.Map mapInputMethodHighlight(java.awt.im.InputMethodHighlight highlight)

      Overrides:
        `mapInputMethodHighlight` in class `AjaxSwingToolkit`

    - #### createSystemTray

          public java.awt.peer.SystemTrayPeer createSystemTray(java.awt.SystemTray arg0)

      Specified by:
        `createSystemTray` in class `sun.awt.SunToolkit`

    - #### createTrayIcon

          public java.awt.peer.TrayIconPeer createTrayIcon(java.awt.TrayIcon arg0)
                                                    throws java.awt.HeadlessException,
                                                           java.awt.AWTException

      Specified by:
        `createTrayIcon` in class `sun.awt.SunToolkit`
      Throws:
        `java.awt.HeadlessException`
        `java.awt.AWTException`

    - #### grab

          public void grab(java.awt.Window arg0)

      Specified by:
        `grab` in class `sun.awt.SunToolkit`

    - #### isDesktopSupported

          public boolean isDesktopSupported()

      Specified by:
        `isDesktopSupported` in class `sun.awt.SunToolkit`

    - #### isTraySupported

          public boolean isTraySupported()

      Specified by:
        `isTraySupported` in class `sun.awt.SunToolkit`

    - #### createKeyboardFocusManagerPeer

          public java.awt.peer.KeyboardFocusManagerPeer createKeyboardFocusManagerPeer(java.awt.KeyboardFocusManager focusManager)
                                                                                throws java.awt.HeadlessException

      Throws:
        `java.awt.HeadlessException`

    - #### ungrab

          public void ungrab(java.awt.Window arg0)

      Specified by:
        `ungrab` in class `sun.awt.SunToolkit`

    - #### isWindowOpacityControlSupported

          public boolean isWindowOpacityControlSupported()

    - #### isWindowShapingSupported

          public boolean isWindowShapingSupported()

      Overrides:
        `isWindowShapingSupported` in class `sun.awt.SunToolkit`

    - #### isWindowTranslucencySupported

          public boolean isWindowTranslucencySupported()

      Overrides:
        `isWindowTranslucencySupported` in class `sun.awt.SunToolkit`

    - #### getKeyboardFocusManagerPeer

          public java.awt.peer.KeyboardFocusManagerPeer getKeyboardFocusManagerPeer()
                                                                             throws java.awt.HeadlessException

      Specified by:
        `getKeyboardFocusManagerPeer` in interface `sun.awt.KeyboardFocusManagerPeerProvider`
      Specified by:
        `getKeyboardFocusManagerPeer` in class `sun.awt.SunToolkit`
      Throws:
        `java.awt.HeadlessException`

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.